/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "content.h"
#include "../core/request.h"
#include "../core/data.h"



void Content::CheckSpecialFile()
{
	static std::string fstab = "fstab";

	Item * etc = data.dirs.GetEtcDir();

	if( !etc )
		return;

	if( request.item.parent_id != etc->id )
		return;

	if( request.item.url == fstab )
	{
		log << log3 << "Content: reloading mount points" << logend;

		request.session->done        = Done::edited_fstab;
		request.session->done_status = data.mounts.ReadMounts(request.item.content);
		request.session->done_timer  = 2;
	}
}

