/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2009, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#include "error.h"



Error::Error()
{
	code = unknown;
}


Error::Error(Code c) : code(c)
{
}


Error::Error(int i)
{
	code = static_cast<Code>(i);	
}


Error::Error(const Error & e)
{
	code = e.code;
}


Error::operator int() const
{
	return static_cast<int>(code);	
}


Error & Error::operator=(Code c)
{
	code = c;
	return *this;	
}

Error & Error::operator=(const Error & e)
{
	code = e.code;
	return *this;	
}

bool Error::operator==(Code c) const
{
	return code == c;
}


bool Error::operator!=(Code c) const
{
	return code != c;
}

bool Error::operator==(const Error & e) const
{
	return code == e.code;
}


bool Error::operator!=(const Error & e) const
{
	return code != e.code;
}

std::ostream & operator<<(std::ostream & out, const Error & e)
{
	out << static_cast<int>(e.code);
	
return out;
}


Log & operator<<(Log & out, const Error & e)
{
	out << static_cast<int>(e.code);
	
return out;
}




